| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::LinkedSkeletonAnimationSource Struct Reference
Core » Animation

Link to another skeleton to share animations. More...

`#include <OgreSkeleton.h>`

## Public Member Functions
| LinkedSkeletonAnimationSource (const String &skelName, Real scl)
| LinkedSkeletonAnimationSource (const String &skelName, Real scl, SkeletonPtr skelPtr)

## Public Attributes
SkeletonPtr | pSkeleton
Real | scale
String | skeletonName

## Detailed Description

Link to another skeleton to share animations.

## Constructor & Destructor Documentation

## ◆ LinkedSkeletonAnimationSource() [1/2]

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl
| ) |  |
| inline

## ◆ LinkedSkeletonAnimationSource() [2/2]

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl,
|  | SkeletonPtr | skelPtr
| ) |  |
| inline

## Member Data Documentation

## ◆ skeletonName

String Ogre::LinkedSkeletonAnimationSource::skeletonName

## ◆ pSkeleton

SkeletonPtr Ogre::LinkedSkeletonAnimationSource::pSkeleton

## ◆ scale

Real Ogre::LinkedSkeletonAnimationSource::scale

The documentation for this struct was generated from the following file:

- OgreSkeleton.h